#!/bin/bash

# 定义 pid 文件路径
PIDFILE="pidfile_monitoring.txt"

# 检查 pid 文件是否存在
if [ -f "$PIDFILE" ]; then
    # 读取 pid 文件中的进程号
    read -r PID < "$PIDFILE"
    
    # 检查进程是否存在
    if ps -p $PID > /dev/null 2>&1; then
        # 杀死进程
        echo "杀死旧的进程: $PID"
        kill $PID
    else
        # 如果进程不存在，可以删除 pid 文件
        echo "进程 $PID 不存在，删除 pid 文件。"
        rm -f "$PIDFILE"
    fi
fi

# 运行 Python 脚本，并将进程号写入 pid 文件

nohup python3 resource_monitoring_client.py  > /data/logs/reresource/monitoring.log & echo $! > "$PIDFILE"
